
Figure - Bug #118583
IOVDEV-32955【内部】【VC1】【00106】【台架】【EE环境】【副屏】【小窗模式】小窗mini状态下，进入
屏保模式再退出屏保，单击mini小窗切换到正常状态概率性失败
2023-06-06 17:41 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0106

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230606 16：20

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.打开今日头条强制小窗应用

2.点击小窗左上角按钮进入mini状态

3.屏幕下滑手势点击屏保模式

4.上滑手势退出屏保

5.单击mini小窗

【实际结果】

1.小窗mini状态下，进入屏保模式再退出屏保，单击mini小窗切换到正常状态概率性失败

【期望结果】

1.小窗mini状态下，进入屏保模式再退出屏保，单击mini小窗切换到正常状态

【备注】：

【当前开机次数】：156

【应用版本】：

【硬件版本号】：

【VIN】HRYTTESTVINMGM401

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106（01.00.0104）

History

#1 - 2023-06-06 17:45 - CD TEST-方永红

- File 1686044639336.zip added

#2 - 2023-06-06 20:21 - CD FW-鲁凯峰

2025-07-04 1/3



■ My analysis

还在分析日志中,暂时无进展

■ Next Action

继续分析日志

#3 - 2023-06-07 16:19 - CD FW-鲁凯峰

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Need_Info changed from -- to TEST

■ Current conclusion

无法点击的原因是由于今日头条处于权限申请界面,当前窗口的焦点在权限申请界面上,必须把权限申请界面点掉后,今日头条才能正常点击使用, 这个是正

常现象

■ My analysis

问题发生在16:20左右

//在屏保界面滑动

06-06 16:20:05.144 30557 30557 D ViewTouchDebug: mView : DecorView@6ff8ea7[DreamActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=1176.5244, y0=839.4582, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=21381408, downTime=21381343, deviceId=3, source=0x5002, displayId=0, eventId=817332800 }

06-06 16:20:05.161 30557 30557 D ViewTouchDebug: mView : DecorView@6ff8ea7[DreamActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=1147.5485, y0=737.88934, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=21381424, downTime=21381343, deviceId=3, source=0x5002, displayId=0, eventId=742523823 }

//退出屏保

06-06 16:20:05.161  8182 12037 I wm_finish_activity: [0,103283405,7476,com.thundercomm.screensaver/android.service.dreams.DreamActivity,finish-activity]

//当前窗口的焦点切换到权限申请界面

06-06 16:20:05.171  8182 22280 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to

com.android.permissioncontroller.permission.ui.GrantPermissionsActivity

//所有的touch事件都触发在了GrantPermissionsActivity这个权限申请界面了

06-06 16:20:06.792 10267 10267 D ViewTouchDebug: mView : DecorView@713c0f4[GrantPermissionsActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id0=0, x0=146.53711, y0=343.31323, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=21383059, downTime=21383059, deviceId=3, source=0x5002, displayId=0, eventId=765907974 }

06-06 16:20:06.877 10267 10267 D ViewTouchDebug: mView : DecorView@713c0f4[GrantPermissionsActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=146.53711, y0=343.31323, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=21383146, downTime=21383059, deviceId=3, source=0x5002, displayId=0, eventId=528019153 }

#4 - 2023-07-03 17:16 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to INVALID

7.3

由分析可能，为正常现象，先关闭
#5 - 2023-07-03 17:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2023-07-03 17:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1686044639336.zip 10.9 MB 2023-06-06 CD TEST-方永红
